Bug 1198204 - (CVE-2022-24191) VUL-1: CVE-2022-24191: htmldoc: infinite loop in the gif_read_lzw function can lead to a buffer overflow
(CVE-2022-24191)
VUL-1: CVE-2022-24191: htmldoc: infinite loop in the gif_read_lzw function ca...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/327995/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-04-07 12:33 UTC by Gabriele Sonnu
Modified: 2022-04-29 13:15 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriele Sonnu 2022-04-07 12:33:41 UTC
In HTMLDOC 1.9.14, an infinite loop in the gif_read_lzw function can lead to a
pointer arbitrarily pointing to heap memory and resulting in a buffer overflow.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-24191
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-24191
https://github.com/michaelrsweet/htmldoc/issues/470
http://www.cvedetails.com/cve/CVE-2022-24191/
Comment 1 Gabriele Sonnu 2022-04-07 12:34:51 UTC
Tracking as affected:

 - SUSE:SLE-11:Update/htmldoc               1.8.27
 - openSUSE:Backports:SLE-15-SP3/htmldoc    1.9.1

Upstream patch:

https://github.com/michaelrsweet/htmldoc/commit/fb0334a51300988e9b83b9870d4063e86002b077
Comment 2 OBSbugzilla Bot 2022-04-07 16:40:04 UTC
This is an autogenerated message for OBS integration:
This bug (1198204) was mentioned in
https://build.opensuse.org/request/show/967537 Backports:SLE-15-SP3 / htmldoc
Comment 4 QK ZHU 2022-04-14 13:00:40 UTC
SRs accepted
Comment 5 Gabriele Sonnu 2022-04-14 13:25:46 UTC
Done.
Comment 6 Swamp Workflow Management 2022-04-17 19:17:50 UTC
openSUSE-SU-2022:0113-1: An update that fixes 5 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1194511,1194512,1194513,1194514,1198204
CVE References: CVE-2021-44531,CVE-2021-44532,CVE-2021-44533,CVE-2022-21824,CVE-2022-24191
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    nodejs12-12.22.9-4.25.1
openSUSE Backports SLE-15-SP3 (src):    htmldoc-1.9.12-bp153.2.9.1